Package Details: python-dolfin 2019.1.0.post0-1

Git Clone URL: https://aur.archlinux.org/python-dolfin.git (read-only, click to copy)
Package Base: python-dolfin
Description: The Python interface of FEniCS, providing a consistent PSE (Problem Solving Environment) for ordinary and partial differential equations (stable).
Upstream URL: https://bitbucket.org/fenics-project/dolfin
Licenses: LGPL3
Groups: fenics
Conflicts: python-dolfin-git
Submitter: sigvald
Maintainer: sigvald (Polly)
Last Packager: Polly
Votes: 4
Popularity: 0.062697
First Submitted: 2018-06-23 09:12
Last Updated: 2019-05-22 22:26

Dependencies (7)

Required by (0)

Sources (1)

Latest Comments

sigvald commented on 2020-06-13 08:22

@urbainvaes: There is a conflict between recent versions of HDF5 and dolfin 2019.1. Do you need HDF5? If not then you could perhaps uninstall it and re-install dolfin and dolfin-python again. See also the discussion in the AUR package dolfin.

urbainvaes commented on 2020-06-10 17:52

This package no longer works on my system. Running python -c "import fenics" produces this error:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python3.7/site-packages/fenics/__init__.py", line 7, in <module>
    from dolfin import *
  File "/usr/lib/python3.7/site-packages/dolfin/__init__.py", line 34, in <module>
    from .cpp import __version__
ImportError: /usr/lib/libdolfin.so.2019.1: undefined symbol: H5Oget_info_by_name

sigvald commented on 2019-05-03 06:29

Dolfin 2019.1.0 is out but I do not have time to update this package for a while yet. Contributors or co-maintainers welcome.

sigvald commented on 2018-06-24 15:48

For those who have trouble installing FEniCS due to outdated or broken dependencies, you may be interested in this repository: https://github.com/sigvaldm/arch-fenics-packages